Resource Center/Resource Pool/VM Instance Operations
GETVM Instance OperationsSince 0.6SynchronousAuth Required
GetCandidateVmForAttachingIso
GetCandidateVmForAttachingIso
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Query Parameters
Request Inputs
Path Parameters
isoUuidStringRequiredThe ISO UUID.
Query Parameters
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
Endpoint
GET/zstack/v1/images/iso/{isoUuid}/vm-candidates
/zstack/v1/images/iso/{isoUuid}/vm-candidates
Request Example
curl -X GET 'http://{host}/zstack/v1/images/iso/{isoUuid}/vm-candidates?systemTags=<systemTags>&userTags=<userTags>' -H 'Authorization: OAuth {sessionUuid}'
Response Example
200{ "inventories": [ { "uuid": "f95bdc72e9963a05b8f19b8817f09d9d", "name": "Test-VM", "description": "web server VM", "zoneUuid": "389fb59c478b3a9fbe08e0cb0cbb4e4f", "clusterUuid": "f1c45e63860e3e17b068db42533f008b", "imageUuid": "5ccbd867873f36318f72cd32c74ee540", "hostUuid": "73ebd6bff3aa3745a0dffd978edaf561", "lastHostUuid": "1e1c43855d9c3998bf9d1c237a36dcaa", "instanceOfferingUuid": "6ef7a28c90b93a5ebe659644e6a956fc", "rootVolumeUuid": "5a5ebf77b9d23ecb9034e6d64a9c3d51", "platform": "Linux", "defaultL3NetworkUuid": "d9a2bfe33f6831098b35adb8022c3d3c", "type": "UserVm", "hypervisorType": "KVM", "memorySize": 8.589934592E9, "cpuNum": 1.0, "allocatorStrategy": "LastHostPreferredAllocatorStrategy", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM", "state": "Stopped", "vmNics": [ { "uuid": "cfdc9377501d3ed180572e8093aff0e0", "vmInstanceUuid": "f95bdc72e9963a05b8f19b8817f09d9d", "usedIpUuid": "a8a2f1fd54f83c41bab8d7c169776dd9", "l3NetworkUuid": "d9a2bfe33f6831098b35adb8022c3d3c", "ip": "192.168.1.10", "mac": "00:0c:29:bd:99:fc", "hypervisorType": "KVM", "netmask": "255.255.255.0", "gateway": "192.168.1.1", "deviceId": 0.0, "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } ], "allVolumes": [ { "uuid": "5a5ebf77b9d23ecb9034e6d64a9c3d51", "name": "Root-Volume-For-VM-f95bdc72e9963a05b8f19b8817f09d9d", "primaryStorageUuid": "092c642a80cf3f11886a57c50fc54fec", "vmInstanceUuid": "f95bdc72e9963a05b8f19b8817f09d9d", "diskOfferingUuid": "8f0377c24026357693b8ba14fa368d08", "rootImageUuid": "5ccbd867873f36318f72cd32c74ee540", "installPath": "/Cloud_ps/rootVolumes/acct-36c27e8ff05c4780bf6d2fa65700f22e/vol-5a5ebf77b9d23ecb9034e6d64a9c3d51/5a5ebf77b9d23ecb9034e6d64a9c3d51.qcow2", "type": "Root", "format": "qcow2", "size": 1.073741824E11, "actualSize": 2.147483648E10, "deviceId": 0.0, "state": "Enabled", "status": "Ready", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } ] } ] }Change History
This API has no change history records yet.
